> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse webhooks

> A `GET` to the `/webhooks` endpoint allows your application to retrieve all a tenants webhooks.



## OpenAPI

````yaml get /v3/webhooks
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/webhooks:
    get:
      tags:
        - Webhook
      summary: Browse webhooks
      description: >-
        A `GET` to the `/webhooks` endpoint allows your application to retrieve
        all a tenants webhooks.
      operationId: webhooks.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Webhook`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Webhook'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: integer
        trigger:
          type: string
        url:
          type: string
        namespace:
          type: string
        user_id:
          type:
            - integer
            - 'null'
        is_active:
          type: boolean
        retry_daily:
          type:
            - boolean
            - 'null'
        retry_hourly:
          type:
            - boolean
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        queue:
          type:
            - string
            - 'null'
        condition:
          type:
            - array
            - 'null'
          items: {}
        extra_data_template:
          type:
            - string
            - 'null'
      required:
        - id
        - trigger
        - url
        - namespace
        - user_id
        - is_active
        - retry_daily
        - retry_hourly
        - created_at
        - updated_at
        - queue
        - condition
        - extra_data_template
      title: Webhook
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````